aboutsummaryrefslogtreecommitdiffstats
path: root/main/galculator/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-01-02 09:11:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-02 09:11:27 +0000
commite3af3051a27a999981c041adbf68692b93029c75 (patch)
tree9ede6dcc236eb664cbe31de12ae0862e327882f5 /main/galculator/APKBUILD
parentb61058b92d402cf4d0b442736206f11eff9cb28c (diff)
downloadaports-e3af3051a27a999981c041adbf68692b93029c75.tar.gz
aports-e3af3051a27a999981c041adbf68692b93029c75.tar.bz2
aports-e3af3051a27a999981c041adbf68692b93029c75.tar.xz
main/galculator: build fix. split -lang subpackage
Diffstat (limited to 'main/galculator/APKBUILD')
-rw-r--r--main/galculator/APKBUILD25
1 files changed, 19 insertions, 6 deletions
diff --git a/main/galculator/APKBUILD b/main/galculator/APKBUILD
index 1bfff07d46..529559c1bb 100644
--- a/main/galculator/APKBUILD
+++ b/main/galculator/APKBUILD
@@ -1,18 +1,30 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=galculator
pkgver=1.3.4
-pkgrel=2
+pkgrel=3
pkgdesc="GTK+ based scientific calculator"
url="http://galculator.sourceforge.net/"
arch="all"
license="GPL"
depends=
-makedepends="intltool libglade-dev gtk+-dev"
-subpackages="$pkgname-doc"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+makedepends="intltool libglade-dev gtk+-dev autoconf automake libtool flex bison"
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
+ galculator-1.3.4-libm.patch"
+
+_builddir="$srcdir/galculator-$pkgver"
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ libtoolize --force && aclocal && autoconf && automake --add-missing
+}
build() {
- cd "$srcdir/galculator-$pkgver"
+ cd "$_builddir"
./configure --prefix=/usr || return 1
make || return 1
}
@@ -21,4 +33,5 @@ package() {
cd "$srcdir/galculator-$pkgver"
make DESTDIR="$pkgdir" install || return 1
}
-md5sums="d30e6fbf5947bb1c873bc9d5a21046f1 galculator-1.3.4.tar.bz2"
+md5sums="d30e6fbf5947bb1c873bc9d5a21046f1 galculator-1.3.4.tar.bz2
+467de62f8737c800eb1db93e501de3cb galculator-1.3.4-libm.patch"